## khronos-opengl-man4 1.0~svn31251

=== html/Makefile ===
#!gmake

# XSLT processor - other possibilities like Saxon exist
XSLT	= xsltproc --nonet
SED	= sed

# Location of locally customized stylesheet, which imports
# the Docbook modular stylesheets, and specifically the
# stylesheet to convert Docbook+MathML => XHTML+MathML
DB2XHTML = opengl-man.xsl

.SUFFIXES: .gl .xml .html .xhtml

############################ API pages ############################

# APIXIFILES are XIncludes used by multiple APi pages
APIXIFILES = \
    ../apifunchead.xml \
    ../apiversion.xml

GL_ARB_draw_indirect_entries = \
    glDrawArraysIndirect.xhtml \
    glDrawElementsIndirect.xhtml

GL_ARB_shader_subroutine_entries = \
    glGetActiveSubroutineName.xhtml \
    glGetActiveSubroutineUniform.xhtml \
    glGetActiveSubroutineUniformName.xhtml \
    glGetProgramStage.xhtml \
    glGetSubroutineIndex.xhtml \
    glGetSubroutineUniformLocation.xhtml \
    glGetUniformSubroutine.xhtml \
    glUniformSubroutines.xhtml

GL_ARB_tessellation_shader_entries = \
    glPatchParameter.xhtml

GL_ARB_transform_feedback2_entries = \
    glBindTransformFeedback.xhtml \
    glDeleteTransformFeedbacks.xhtml \
    glGenTransformFeedbacks.xhtml \
    glIsTransformFeedback.xhtml \
    glPauseTransformFeedback.xhtml \
    glResumeTransformFeedback.xhtml \
    glDrawTransformFeedback.xhtml

GL_ARB_transform_feedback3_entries = \
    glDrawTransformFeedbackStream.xhtml \
    glBeginQueryIndexed.xhtml \
    glGetQueryIndexed.xhtml

GL_ARB_viewport_array_entries = \
    glDepthRangeArray.xhtml \
    glDepthRangeIndexed.xhtml \
    glScissorArray.xhtml \
    glScissorIndexed.xhtml \
    glViewportArray.xhtml \
    glViewportIndexed.xhtml

GL_ARB_get_program_binary_entries = \
    glGetProgramBinary.xhtml \
    glProgramBinary.xhtml \
    glProgramParameter.xhtml

GL_ARB_ES2_compatibility_entries = \
    glReleaseShaderCompiler.xhtml \
    glShaderBinary.xhtml \
    glGetShaderPrecisionFormat.xhtml

GL_ARB_separate_shader_objects_entries = \
    glUseProgramStages.xhtml \
    glActiveShaderProgram.xhtml \
    glCreateShaderProgram.xhtml \
    glBindProgramPipeline.xhtml \
    glGenProgramPipelines.xhtml \
    glDeleteProgramPipelines.xhtml \
    glIsProgramPipeline.xhtml \
    glGetProgramPipeline.xhtml \
    glValidateProgramPipeline.xhtml \
    glGetProgramPipelineInfoLog.xhtml \
    glProgramUniform.xhtml

GL_ARB_sample_shading_entries = \
    glMinSampleShading.xhtml

GL_ARB_base_instance_entries = \
    glDrawArraysInstancedBaseInstance.xhtml \
    glDrawElementsInstancedBaseInstance.xhtml \
    glDrawElementsInstancedBaseVertexBaseInstance.xhtml

GL_EXT_texture_storage_entries = \
    glTexStorage1D.xhtml \
    glTexStorage2D.xhtml \
    glTexStorage3D.xhtml

GL_ARB_internal_format_query_entries = \
    glGetInternalformat.xhtml

GL_ARB_transform_feedback_instanced_entries = \
    glDrawTransformFeedbackInstanced.xhtml \
    glDrawTransformFeedbackStreamInstanced.xhtml

GL_ARB_shader_atomic_counters_entries = \
    glGetActiveAtomicCounterBufferiv.xhtml

GL_ARB_shader_image_load_store_entries = \
    glBindImageTexture.xhtml \
    glMemoryBarrier.xhtml

# START OF OPENGL 4.3 EXTENSIONS

# GL_ARB_arrays_of_arrays has no new entry points
GL_ARB_arrays_of_arrays_entries =

GL_ARB_multi_draw_indirect_entries = \
    glMultiDrawArraysIndirect.xhtml \
    glMultiDrawElementsIndirect.xhtml

# ES3_compatibility does not have any new entry points
GL_ARB_ES3_compatibility_enries =

GL_ARB_clear_buffer_object_entries = \
    glClearBufferData.xhtml \
    glClearBufferSubData.xhtml

GL_ARB_compute_shader_entries = \
    glDispatchCompute.xhtml \
    glDispatchComputeIndirect.xhtml

GL_ARB_copy_image_entries = \
    glCopyImageSubData.xhtml

GL_ARB_debug_group_entries = \
    glPushDebugGroup.xhtml \
    glPopDebugGroup.xhtml

GL_ARB_debug_label_entries = \
    glObjectLabel.xhtml \
    glObjectPtrLabel.xhtml \
    glGetObjectLabel.xhtml \
    glGetObjectPtrLabel.xhtml

# GL_ARB_debug_output2 has no new entry points
GL_ARB_debug_output2_entries =

GL_ARB_debug_output_entries = \
    glDebugMessageControl.xhtml \
    glDebugMessageInsert.xhtml \
    glDebugMessageCallback.xhtml \
    glGetDebugMessageLog.xhtml \
    glGetPointerv.xhtml

# GL_ARB_explicit_uniform_location has no new entry points
GL_ARB_explicit_uniform_location_entries =

# GL_ARB_fragment_layer_viewport has no new entry points
GL_ARB_fragment_layer_viewport_entries =

GL_ARB_framebuffer_no_attachments_entries = \
    glFramebufferParameteri.xhtml \
    glGetFramebufferParameter.xhtml

# GL_ARB_internalformat_query2 adds glGetInternalFormati64v to glGetInternalFormativ
GL_ARB_internalformat_query2_entries =

GL_ARB_invalidate_subdata_entries = \
    glInvalidateTexSubImage.xhtml \
    glInvalidateTexImage.xhtml \
    glInvalidateBufferSubData.xhtml \
    glInvalidateBufferData.xhtml \
    glInvalidateFramebuffer.xhtml \
    glInvalidateSubFramebuffer.xhtml

GL_ARB_program_interface_query_entries = \
    glGetProgramInterface.xhtml \
    glGetProgramResourceIndex.xhtml \
    glGetProgramResourceName.xhtml \
    glGetProgramResource.xhtml \
    glGetProgramResourceLocation.xhtml \
    glGetProgramResourceLocationIndex.xhtml

# GL_ARB_robust_buffer_access_behavior does not define any new entry points
GL_ARB_robust_buffer_access_behavior_entries =

# GL_ARB_shader_image_size does not define any new entry points
GL_ARB_shader_image_size_entries =

GL_ARB_shader_storage_buffer_object_entries = \
    glShaderStorageBlockBinding.xhtml

# GL_ARB_stencil_texturing does not define any new entry points
GL_ARB_stencil_texturing_entries =

GL_ARB_texture_buffer_range_entries = \
    glTexBufferRange.xhtml

# GL_ARB_texture_query_levels does not define any new entry points
GL_ARB_texture_query_levels =

GL_ARB_texture_storage_multisample_entries = \
    glTexStorage2DMultisample.xhtml \
    glTexStorage3DMultisample.xhtml

GL_ARB_texture_view_entries = \
    glTextureView.xhtml

GL_ARB_vertex_attrib_binding_entries = \
    glVertexAttribBinding.xhtml \
    glVertexAttribFormat.xhtml \
    glVertexBindingDivisor.xhtml \
    glBindVertexBuffer.xhtml

GL_ARB_buffer_storage_entries = \
    glBufferStorage.xhtml

GL_ARB_clear_texture_entries = \
    glClearTexImage.xhtml \
    glClearTexSubImage.xhtml

GL_ARB_multi_bind_entries = \
    glBindBuffersBase.xhtml \
    glBindBuffersRange.xhtml \
    glBindTextures.xhtml \
    glBindImageTextures.xhtml \
    glBindSamplers.xhtml \
    glBindVertexBuffers.xhtml

MODIFIEDFORGL4XML = \
    glClearDepth.xhtml \
    glCreateShader.xhtml \
    glDepthRange.xhtml \
    glDrawArrays.xhtml \
    glGetVertexAttrib.xhtml \
    glVertexAttrib.xhtml \
    glVertexAttribPointer.xhtml

GL4XML = \
    $(GL_ARB_draw_indirect_entries) \
    $(GL_ARB_shader_subroutine_entries) \
    $(GL_ARB_tessellation_shader_entries) \
    $(GL_ARB_transform_feedback2_entries) \
    $(GL_ARB_transform_feedback3_entries) \
    $(GL_ARB_sample_shading_entries)

GL41XML = \
    $(GL_ARB_viewport_array_entries) \
    $(GL_ARB_get_program_binary_entries) \
    $(GL_ARB_ES2_compatibility_entries) \
    $(GL_ARB_separate_shader_objects_entries)

GL42XML = \
    $(GL_ARB_base_instance_entries) \
    $(GL_EXT_texture_storage_entries) \
    $(GL_ARB_internal_format_query_entries) \
    $(GL_ARB_transform_feedback_instanced_entries) \
    $(GL_ARB_shader_atomic_counters_entries) \
    $(GL_ARB_shader_image_load_store_entries) \
    removedTypes.xhtml

GL43XML = \
    $(GL_ARB_multi_draw_indirect_entries) \
    $(GL_ARB_ES3_compatibility_enries) \
    $(GL_ARB_clear_buffer_object_entries) \
    $(GL_ARB_compute_shader_entries) \
    $(GL_ARB_copy_image_entries) \
    $(GL_ARB_invalidate_subdata_entries) \
    $(GL_ARB_texture_buffer_range_entries) \
    $(GL_ARB_texture_storage_multisample_entries) \
    $(GL_ARB_vertex_attrib_binding_entries) \
    $(GL_ARB_shader_storage_buffer_object_entries) \
    $(GL_ARB_debug_group_entries) \
    $(GL_ARB_debug_label_entries) \
    $(GL_ARB_framebuffer_no_attachments_entries) \
    $(GL_ARB_program_interface_query_entries) \
    $(GL_ARB_debug_output_entries) \
    $(GL_ARB_texture_view_entries)

GL44XML = \
    $(GL_ARB_buffer_storage_entries) \
    $(GL_ARB_clear_texture_entries) \
    $(GL_ARB_multi_bind_entries)

GL45XML = \
    glBindTextureUnit.xhtml \
    glCreateBuffers.xhtml \
    glCreateFramebuffers.xhtml \
    glCreateProgramPipelines.xhtml \
    glCreateQueries.xhtml \
    glCreateRenderbuffers.xhtml \
    glCreateSamplers.xhtml \
    glCreateTextures.xhtml \
    glCreateTransformFeedbacks.xhtml \
    glCreateVertexArrays.xhtml \
    glGetTextureSubImage.xhtml \
    glGetCompressedTextureSubImage.xhtml \
    glGetTransformFeedback.xhtml \
    glGetVertexArrayIndexed.xhtml \
    glGetVertexArrayiv.xhtml \
    glTransformFeedbackBufferBase.xhtml \
    glTransformFeedbackBufferRange.xhtml \
    glVertexArrayElementBuffer.xhtml \
    glClipControl.xhtml \
    glGetGraphicsResetStatus.xhtml \
    glTextureBarrier.xhtml \
    gl_HelperInvocation.xhtml

UNMODIFIEDXML = \
    glActiveTexture.xhtml \
    glAttachShader.xhtml \
    glBeginConditionalRender.xhtml \
    glBeginQuery.xhtml \
    glBeginTransformFeedback.xhtml \
    glBindAttribLocation.xhtml \
    glBindBuffer.xhtml \
    glBindBufferBase.xhtml \
    glBindBufferRange.xhtml \
    glBindFragDataLocation.xhtml \
    glBindFragDataLocationIndexed.xhtml \
    glBindFramebuffer.xhtml \
    glBindRenderbuffer.xhtml \
    glBindSampler.xhtml \
    glBindTexture.xhtml \
    glBindVertexArray.xhtml \
    glBlendColor.xhtml \
    glBlendEquation.xhtml \
    glBlendEquationSeparate.xhtml \
    glBlendFunc.xhtml \
    glBlendFuncSeparate.xhtml \
    glBlitFramebuffer.xhtml \
    glBufferData.xhtml \
    glBufferSubData.xhtml \
    glCheckFramebufferStatus.xhtml \
    glClampColor.xhtml \
    glClear.xhtml \
    glClearColor.xhtml \
    glClearBuffer.xhtml \
    glClearStencil.xhtml \
    glClientWaitSync.xhtml \
    glColorMask.xhtml \
    glCompileShader.xhtml \
    glCompressedTexImage1D.xhtml \
    glCompressedTexImage2D.xhtml \
    glCompressedTexImage3D.xhtml \
    glCompressedTexSubImage1D.xhtml \
    glCompressedTexSubImage2D.xhtml \
    glCompressedTexSubImage3D.xhtml \
    glCopyBufferSubData.xhtml \
    glCopyTexImage1D.xhtml \
    glCopyTexImage2D.xhtml \
    glCopyTexSubImage1D.xhtml \
    glCopyTexSubImage2D.xhtml \
    glCopyTexSubImage3D.xhtml \
    glCreateProgram.xhtml \
    glCullFace.xhtml \
    glDeleteBuffers.xhtml \
    glDeleteFramebuffers.xhtml \
    glDeleteProgram.xhtml \
    glDeleteQueries.xhtml \
    glDeleteRenderbuffers.xhtml \
    glDeleteSamplers.xhtml \
    glDeleteShader.xhtml \
    glDeleteSync.xhtml \
    glDeleteTextures.xhtml \
    glDeleteVertexArrays.xhtml \
    glDepthFunc.xhtml \
    glDepthMask.xhtml \
    glDetachShader.xhtml \
    glDrawArraysInstanced.xhtml \
    glDrawBuffer.xhtml \
    glDrawBuffers.xhtml \
    glDrawElements.xhtml \
    glDrawElementsBaseVertex.xhtml \
    glDrawElementsInstanced.xhtml \
    glDrawElementsInstancedBaseVertex.xhtml \
    glDrawRangeElements.xhtml \
    glDrawRangeElementsBaseVertex.xhtml \
    glEnable.xhtml \
    glEnableVertexAttribArray.xhtml \
    glFenceSync.xhtml \
    glFinish.xhtml \
    glFlush.xhtml \
    glFlushMappedBufferRange.xhtml \
    glFramebufferRenderbuffer.xhtml \
    glFramebufferTexture.xhtml \
    glFramebufferTextureLayer.xhtml \
    glFrontFace.xhtml \
    glGenBuffers.xhtml \
    glGenerateMipmap.xhtml \
    glGenFramebuffers.xhtml \
    glGenQueries.xhtml \
    glGenRenderbuffers.xhtml \
    glGenSamplers.xhtml \
    glGenTextures.xhtml \
    glGenVertexArrays.xhtml \
    glGet.xhtml \
    glGetActiveAttrib.xhtml \
    glGetActiveUniform.xhtml \
    glGetActiveUniformBlock.xhtml \
    glGetActiveUniformBlockName.xhtml \
    glGetActiveUniformName.xhtml \
    glGetActiveUniformsiv.xhtml \
    glGetAttachedShaders.xhtml \
    glGetAttribLocation.xhtml \
    glGetBufferParameter.xhtml \
    glGetBufferPointerv.xhtml \

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn31251-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:16:58 +0000

khronos-opengl-man4 (1.0~svn31251-1) unstable; urgency=medium

  * New upstream
  * Fix copyright issue. Update #770601
  * uses remote MathJax. Closes: #770600 (Thanks Rebecca N. Palmer!)
  * missing files, .php sidebar hard to use locally. Closes: #770599
  * Bump Std-Vers to 3.9.6, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 21 May 2015 14:46:14 +0200

=== debian/control ===
Source: khronos-opengl-man4
Section: doc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-mathml (>= 1.1~),
               docbook-xsl-ns (>= 1.78.1),
               python3,
               w3-dtd-mathml,
               xsltproc
Standards-Version: 3.9.6
Homepage: http://www.opengl.org/sdk/docs/man4/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/

Package: opengl-4-html-doc
Architecture: all
Depends: doc-base, ${misc:Depends}
Recommends: libjs-mathjax
Replaces: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Breaks: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - html pages
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 The documentation is exactly what is available from:
 http://www.opengl.org/sdk/docs/man4/xhtml/

Package: opengl-4-man-doc
Provides: manpages-opengl
Architecture: all
Depends: ${misc:Depends}
Replaces: opengl-4.2-man-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - man pages (experimental)
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 This is experimental man page package until support gets integrated upstream.

## khronos-opengl-man4 1.0~svn33624

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn33624-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: drop unused w3-dtd-mathml (Closes: #1087751)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 18 Nov 2024 16:21:45 +0100

khronos-opengl-man4 (1.0~svn33624-2) unstable; urgency=medium

  * Team upload.
  * Convert packaging repository from SVN to GIT.
  * Mark opengl-4-man-doc as Multi-Arch: foreign.
  * This package is no managed handled by the Debian OpenCL Maintainers.
  * Remove superfluous bits from d/copyright.
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2024 00:45:28 +0200

khronos-opengl-man4 (1.0~svn33624-1) unstable; urgency=medium

  * New upstream
  * Bump Std-Vers to 4.1.3. Update to Priority: optional.

 -- Mathieu Malaterre <malat@debian.org>  Wed, 03 Jan 2018 07:36:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: khronos-opengl-man4
 Section: doc
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>
+Priority: optional
+Maintainer: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
                docbook-mathml (>= 1.1~),
                docbook-xsl-ns (>= 1.78.1),
                python3,
-               w3-dtd-mathml,
                xsltproc
+Rules-Requires-Root: no
 Standards-Version: 3.9.6
 Homepage: http://www.opengl.org/sdk/docs/man4/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/
+Vcs-Browser: https://salsa.debian.org/debian/khronos-opengl-man4
+Vcs-Git: https://salsa.debian.org/debian/khronos-opengl-man4.git
 
 Package: opengl-4-html-doc
 Architecture: all
@@ -30,10 +28,11 @@
  http://www.opengl.org/sdk/docs/man4/xhtml/
 
 Package: opengl-4-man-doc
-Provides: manpages-opengl
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: opengl-4.2-man-doc (<< 1.0~svn21376-1)
+Provides: manpages-opengl
 Description: OpenGL 4 documentation - man pages (experimental)
  This is the OpenGL API man pages.
  .

=== debian/rules ===
#!/usr/bin/make -f

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean html/*.xml
	dh_clean html/*.3G
	dh_clean html/*.tmp
	dh_clean html/index.html html/indexflat.html html/indexacc.html html/index.php html/indexflat.php

pkg_xml = opengl-4-html-doc
pkg_man = opengl-4-man-doc

override_dh_installdocs:
	sed -e 's/src="html\//src="/g' -e 's/indexflat.php/indexflat.html/g' bottom.php > html/index.html
	sed -e 's/indexflat.php/indexflat.html/g' -e "s/<?php include 'accord.js'; ?>/cat html\/accord.js/e" html/index.php > html/indexacc.html
	sed -e 's/index.php/indexacc.html/g' html/indexflat.php > html/indexflat.html
	dh_installdocs -p$(pkg_xml) html/*.xhtml
	dh_installdocs -p$(pkg_xml) html/*.html
	dh_installdocs -p$(pkg_xml) html/*.css
	dh_installdocs -p$(pkg_xml) html/bullets-*.gif

override_dh_installman:
	# bad-so-link-within-manual-page
	sed -i -e 's/^.so man3G/.so man3/' html/*.3G
	dh_installman -p$(pkg_man) html/*.3G
	# force install of d/copyright:
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

override_dh_compress:
	dh_compress -X.xhtml

get-orig-source:
	./debian/get-orig-source
